help([[
Load environment to build prepobs on AWS-EC2
]])
prepend_path("MODULEPATH", (os.getenv("stack_core_path")))

local stack_oneapi_ver=os.getenv("stack_oneapi_ver") or "2024.2.1"
local stack_intel_oneapi_mpi_ver=os.getenv("stack_intel_oneapi_mpi_ver") or "2021.13"
local cmake_ver=os.getenv("cmake_ver") or "3.27.9"

load(pathJoin("stack-oneapi", stack_oneapi_ver))
load(pathJoin("stack-intel-oneapi-mpi", stack_intel_oneapi_mpi_ver))
load(pathJoin("cmake", cmake_ver))

-- Load common modules for this package
load("prepobs_common")

setenv("HOMEprepobs", "/lustre/global/external_programs/prepobs/v1.1.3")
setenv("USHprepobs", "/lustre/global/external_programs/prepobs/v1.1.3/ush")

whatis("Description: prepobs build environment")
